#include <iostream>
#include <pulse/simple.h>

#include "SineSynth.h"

int main(int argc, char *argv[]) {
    SineGenerator sg(44100, 440.0f, 0.1);
    static const pa_sample_spec ss = {
        .format = PA_SAMPLE_FLOAT32,
        .rate = 44100,
        .channels = 1
    };

    pa_simple *s = NULL;
    int error;
    s = pa_simple_new(NULL, argv[0], PA_STREAM_PLAYBACK, NULL, "playback", &ss, NULL, NULL, &error);

    float buf[1024];
    for (;;) {
        sg.getSamples(1024, buf);
        pa_simple_write(s, buf, sizeof(buf), &error);
    }
}